import Header from "@/components/Current/Header"
import { setLang } from "@/i18n/serverContext"

import { LangParams, PageArgs } from "@/types/params"

export default async function HeaderPage({ params }: PageArgs<LangParams>) {
  setLang(params.lang)

  return <Header />
}
